Index: helix.f
===================================================================
--- helix.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ helix.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,34 +1,30 @@
-! **************************************************************
-!
-! This file contains the subroutines: helix
-!
-! Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: helix
+c
+c Copyright 2003       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine helix(nhel,mhel,nbet,mbet) 
-!---------------------------------------------------------------
-!
-!   PURPOSE: simple identification of secondary structure content
-!
-!   CALLS: none
-!
-! ---------------------------------------------------------------
+c---------------------------------------------------------------
+c
+c   PURPOSE: simple identification of secondary structure content
+c
+c   CALLS: none
+c
+c ---------------------------------------------------------------
       include 'INCL.H'
 
-!f2py intent(out) nhel
-!f2py intent(out) mhel
-!f2py intent(out) nbet
-!f2py intent(out) mbet
+cf2py intent(out) nhel
+cf2py intent(out) mhel
+cf2py intent(out) nbet
+cf2py intent(out) mbet
            
       logical lhel,lbet
-      double precision hlim, philim, psilim, hlim2, philim2, psilim2
-      double precision xphi, xpsi
-
-      integer nhel, mhel, nbet, mbet, i, iv
 
       parameter(hlim=30.0d0,philim=-70.0d0,psilim=-37.0d0)
@@ -46,5 +42,5 @@
          xphi = vlvr(iv)*crd
          xpsi = vlvr(idvr(i+1))*crd
-! Helicity
+C Helicity
          if(abs(xphi-philim).le.hlim) then
           lbet=.false.
@@ -56,5 +52,5 @@
             lhel = .false.
           end if
-! Sheetness
+C Sheetness
          else if(abs(xphi-philim2).le.hlim2) then
           lhel = .false.
Index: incl_lund.h
===================================================================
--- incl_lund.h	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ incl_lund.h	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,3 +1,2 @@
-      integer nhptyp, mxconr, mxcell, iN, iCa, iC, mlvr, iphi, ipsi
       parameter (nhptyp=3,mxconr=40,mxcell=125000)
       dimension iN(mxrs),iCa(mxrs),iC(mxrs),mlvr(mxvr)
@@ -9,10 +8,9 @@
       double precision alhb,blhb,sighb2,cdon,cacc,casc
 
-! -----Probability for using BGS when it is possible
+c -----Probability for using BGS when it is possible
       double precision abgs,bbgs, dph(8)
       integer bgsnvar,bgsvar(mxrs), iph(8)
       common /bgs_i/ bgsnvar,iph
       common /bgs_r/ abgs,bbgs,dph, bgsvar
-      integer ihpat, nhpat
       dimension ihpat(mxrs,6),nhpat(mxrs)
       double precision hpstrg
@@ -20,5 +18,4 @@
       
       double precision exvk,exvcut,exvcut2
-      integer matcon
       dimension matcon(-mxconr:mxconr,mxat)
 
@@ -33,15 +30,15 @@
       dimension sig2exv(mxtyat,mxtyat)
       dimension asaexv(mxtyat,mxtyat),bsaexv(mxtyat,mxtyat)
-      integer lcp1, lcp2, ilpst, ilpnd
-      common /lundff/kbias,                                             &
-     &     epshb1,epshb2,powa,powb,sighb,cthb,                          &
-     &     cthb2,                                                       &
-     &     alhb,blhb,sighb2,cdon,cacc,casc,                             &
-     &     ihpat,nhpat,hpstrg,                                          & 
-     &     exvk,exvcut,exvcut2,                                         &
-     &     matcon,                                                      & 
-     &     sigsa,sig2lcp,asalcp,bsalcp,                                 &
-     &     lcp1,lcp2,ilpst,ilpnd,                                       &
-     &     exvlam,exvcutg,exvcutg2,                                     &
-     &     sig2exv,asaexv,bsaexv 
+
+      common /lundff/kbias,
+     #     epshb1,epshb2,powa,powb,sighb,cthb,
+     #     cthb2,
+     #     alhb,blhb,sighb2,cdon,cacc,casc,
+     #     ihpat,nhpat,hpstrg,
+     #     exvk,exvcut,exvcut2,
+     #     matcon,
+     #     sigsa,sig2lcp,asalcp,bsalcp,
+     #     lcp1,lcp2,ilpst,ilpnd,
+     #     exvlam,exvcutg,exvcutg2,
+     #     sig2exv,asaexv,bsaexv
       save /lundff/
Index: init_energy.f
===================================================================
--- init_energy.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ init_energy.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,42 +1,40 @@
-! **************************************************************
-!
-! This file contains the subroutines: init_energy,setpar
-! This file contains a BLOCK DATA statement
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: init_energy,setpar
+C This file contains a BLOCK DATA statement
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine init_energy(libdir)
 
-! ----------------------------------------------
-! PURPOSE: initialize energy parameters
-!        0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!        1  => FLEX
-!        2  => Lund force field
-!        3  => ECEPP with Abagyan corrections
-!
-!
-! CALLS:   setpar, tessel,iendst
-!
-! contains: BLOCK DATA
-! ----------------------------------------------
+c ----------------------------------------------
+c PURPOSE: initialize energy parameters
+c        0  => ECEPP2 or ECEPP3 depending on the value of sh2
+c        1  => FLEX 
+c        2  => Lund force field
+c        3  => ECEPP with Abagyan corrections
+c
+c
+c CALLS:   setpar, tessel,iendst
+c
+c contains: BLOCK DATA
+c ----------------------------------------------
 
       include 'INCL.H'
 
-      integer ll, iendst, its
-
       character libdir*(*),tesfil*80
-
+      
       if (ientyp.eq.1) then
           flex = .true.
-      else
+      else 
           flex = .false.
       end if
-
+      
       lunlib=10
       ll=iendst(libdir)
@@ -58,14 +56,10 @@
       endif
 
-      if (ientyp .eq. 2) then
-        reslib=libdir(1:ll)//'lib.lun'
-      endif
-
       call setpar()  ! Initialize force field parameters
 
 
-!----Initialize solvation part if necessary
-      write (logString, *) 'init_energy: itysol = ',itysol
-      write (logString, *) 'init_energy: esol_scaling = ',isolscl
+C----Initialize solvation part if necessary
+      write (*,*) 'init_energy: itysol = ',itysol
+      write(*,*) 'init_energy: esol_scaling = ',isolscl
 
       its = iabs(itysol)
@@ -75,13 +69,15 @@
         ll=iendst(libdir)
         tesfil = libdir(1:ll)//'tes.dat'
+
         open(unit=20,file=tesfil,status='old',err=10)
+
         call tessel()
+
         close(20)
 
       else
-
+ 
         if (itysol.ne.0) then
-          write (logString, '(a)') 
-     &      ' init_energy>  undefined solvent type !'
+          write(*,'(a)') ' init_energy>  undefined solvent type !'
           stop
         endif
@@ -89,5 +85,5 @@
       endif
 
-! ___________________________ initialise COMMON 'con_r'
+c ___________________________ initialise COMMON 'con_r'
       idloa=ichar('a')
       idloz=ichar('z')
@@ -97,25 +93,20 @@
       return
 
- 10   write (logString,  '(a)') 
-     &   'Cannot open the file with surface points'
+ 10   write (*, '(a)') 'Cannot open the file with surface points'
       stop
 
       end
 
-! *********************
+c *********************
       subroutine setpar
 
-! __________________________________________________________
-! PURPOSE: initialize parameter set for empirical potentials
-!          depending on variable 'flex'
-!
-! CALLS:   None
-! __________________________________________________________
+c __________________________________________________________
+c PURPOSE: initialize parameter set for empirical potentials
+c          depending on variable 'flex'
+c
+c CALLS:   None
+c __________________________________________________________
 
       include 'INCL.H'
-
-      double precision hbc, hba, ri, ai, aei, aic, a, aj, c, rij
-
-      integer i, j, iac, ido, jac, jdo
 
       dimension hbc(mxhbdo,mxhbac),hba(mxhbdo,mxhbac)
@@ -125,5 +116,5 @@
       tesgrd = .false.  ! numerical check of analytical gradients
 
-! ______________________________________ Lennard-Jones parameters
+c ______________________________________ Lennard-Jones parameters
       if (flex) then
 
@@ -175,6 +166,6 @@
           ai=atpl(i)
           aei=sqrt(ai/efel(i))
-!c          aic=ai/ehm             !!  ICM
-!c          do j=i,mxtyat          !!  -"-
+cc          aic=ai/ehm             !!  ICM
+cc          do j=i,mxtyat          !!  -"-
           aic=ai*ehm                 !!  comment for ICM:
           cij(i,i)=aic*ai/(aei+aei)  !!        -"-
@@ -184,9 +175,9 @@
           do j=i+1,mxtyat            !!
             aj=atpl(j)
-! _______ Constant for 6-12 attractive term (Slater-Kirkwood formula)
+c _______ Constant for 6-12 attractive term (Slater-Kirkwood formula)
             c=aic*aj/(aei+sqrt(aj/efel(j)))
             cij(i,j)=c
             cij(j,i)=c
-! ____________________________ repulsive term (form. 3 & 6 of ref 2)
+c ____________________________ repulsive term (form. 3 & 6 of ref 2)
             rij=.5*(ri+rmin(j))
             a=.5*c*rij**6
@@ -201,5 +192,5 @@
         enddo
 
-! +++++++++++++++++++++++++++++++++
+c +++++++++++++++++++++++++++++++++
         cij(1,1)=45.5d0
         aij(1,1)=14090.0d0
@@ -238,12 +229,12 @@
         cij(18,18)=370.5d0
         aij(18,18)=909000.0d0
-! +++++++++++++++++++++++++++++++++
+c +++++++++++++++++++++++++++++++++
         do i=1,mxtyat
           a14(i,i)=.5*aij(i,i)
         enddo
-! +++++++++++++++++++++++++++++++++
+c +++++++++++++++++++++++++++++++++
 
         do i=1,mxtyat
-!	  write( *, '(18f14.6)' )  ( a14(i,j), j = 1, mxtyat )
+c	  write( *, '(18f14.6)' )  ( a14(i,j), j = 1, mxtyat )
         enddo
 
@@ -263,5 +254,5 @@
 
       endif
-! -------------------------------------------- Hydrogen Bond Parameters
+c -------------------------------------------- Hydrogen Bond Parameters
       do i=1,mxtyat
         do j=1,mxtyat
